<?php

session_start();

require_once ("../../config/Cado.php");

require_once ("../tarjeta/cTarjeta.php");

$oTarjeta = new cTarjeta();

require_once ("../cuentadeposito/cCuentadeposito.php");

$oCuentadeposito = new cCuentadeposito();



require_once ("../formatos/formato.php");





if(isset($_SESSION['venpag_mon']))

{

	$num_rows=count($_SESSION['venpag_mon']);

	if($num_rows==0)$num_rows="";

}

else

{

	$num_rows="";

}

?>



<input name="hdd_ven_pag_numite" id="hdd_ven_pag_numite" type="hidden" value="<?php echo $num_rows?>">



<div id="tabla_pago_detalle" >

	<table class="table table-bordered table-striped">

		<thead>

			<tr >

				<th>FORMA</th>

				<th>MODO</th>

				<th>DETALLE</th>

				<th align="right" nowrap="nowrap">MONTO</th>

				<th align="right" nowrap="nowrap">&nbsp;</th>

			</tr>

		</thead>

		<tbody>

			<?php

			foreach($_SESSION['venpag_mon'] as $indice=>$valor)

			{

				$total+=$valor;

			?>

			<tr>

				<td>

					<?php 

					if($_SESSION['venpag_for'][$indice]==1)echo 'CONTADO ';

					if($_SESSION['venpag_for'][$indice]==2)echo 'CREDITO ';

					?>

				</td>

				<td>

					<?php 

					if($_SESSION['venpag_mod'][$indice]==1)echo 'EFECTIVO';

					if($_SESSION['venpag_mod'][$indice]==2)echo 'TARJETA';

					if($_SESSION['venpag_mod'][$indice]==3)echo 'DEPOSITO';

					?>

				</td>

				<td>

					<?php

					//EFECTIVO

					if($_SESSION['venpag_mod'][$indice]==1)echo '';



					//CREDITO

					if($_SESSION['venpag_for'][$indice]==2)echo 'A '.$_SESSION['venpag_numdia'][$indice].' días | Vencimiento: '.mostrarFecha($_SESSION['venpag_fecven'][$indice]);

					

					//TARJETA

					$tar_nom="";

					if($_SESSION['venpag_tar'][$indice]>0)

					{

						$dts=$oTarjeta->mostrarUno($_SESSION['venpag_tar'][$indice]);

						$dt = mysqli_fetch_array($dts);

							$tar_nom=$dt['tb_tarjeta_nom'];

						mysqli_free_result($dts);

					}

					



					if($_SESSION['venpag_mod'][$indice]==2)echo $tar_nom.' N° Operación: '.$_SESSION['venpag_numope'][$indice];



					//DEPOSITO

					$cuedep_nom="";

					if($_SESSION['venpag_cuedep'][$indice]>0)

					{

						$dts=$oCuentadeposito->mostrarUno($_SESSION['venpag_cuedep'][$indice]);

						$dt = mysqli_fetch_array($dts);

							$cuedep_nom=$dt['tb_cuentadeposito_nom'];

						mysqli_free_result($dts);

					}



					if($_SESSION['venpag_mod'][$indice]==3)echo $cuedep_nom.' N° Operación: '.$_SESSION['venpag_numope'][$indice];

	

					?>

				</td>

				<td align="right"><?php echo formato_money($valor)?></td>

				<td align="right">

					<span class="btn btn-warning btn-xs glyphicon glyphicon-remove" title="Quitar pago."  onClick="pago_venta_agregar('quitar','<?php echo $indice?>')"></span></td>

			</tr>

			<?php						

			}

			?>

		</tbody>

		<tr>

			<td>				

				<a class="btn btn-warning btn-xs" title="Vaciar formas de pago" href="javascript:void(0)" onClick="pago_venta_agregar('restablecer')"><i class="fa fa-remove"></i> Vaciar</a>

			</td>

			<td colspan="2" align="right">MONTO TOTAL : S/.</td>

			<td align="right"><?php echo formato_money($total);?></td>

			<td align="right">

				<input name="hdd_venpag_tot" id="hdd_venpag_tot" type="hidden" value="<?php echo formato_money($total)?>">

			</td>

		</tr>

		

				<?php 

				$ven_tot=moneda_mysql($_POST['ven_tot']);

				$diferencia=$ven_tot-$total;

		if($diferencia>0){

				

		?>	

			<tr>

				<td>&nbsp;</td>

				

				<td colspan="2" style="text-align:right;font-weight: bold;border:0px" >

				<?php if(formato_money($diferencia)!='0.00') echo 'DIFERENCIA: S/.'?>

				</td> 

				<td align="right" nowrap="nowrap" style="text-align:right;font-weight: bold;border:0px">

				<?php if(formato_money($diferencia)!='0.00') echo formato_money($diferencia)?>					

				</td>

				<td align="right" >

				 </td> 

			</tr>

		<?php } ?>

		<input name="hdd_venpag_dif" id="hdd_venpag_dif" type="hidden" value="<?php echo formato_money($diferencia)?>">

		

		

	</table>

</div>







